<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: PGTStorageDB Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PGTStorageDB Class Reference<br/>
<small>
[<a class="el" href="group__internal_p_g_t_storage_d_b.html">PGT storage in a database</a>]</small>
</h1><!-- doxytag: class="PGTStorageDB" --><!-- doxytag: inherits="PGTStorage" --><div class="dynheader">
Inheritance diagram for PGTStorageDB:</div>
<div class="dynsection">
 <div class="center">
  <img src="class_p_g_t_storage_d_b.gif" usemap="#PGTStorageDB_map" alt=""/>
  <map id="PGTStorageDB_map" name="PGTStorageDB_map">
<area href="class_p_g_t_storage.html" alt="PGTStorage" shape="rect" coords="0,0,97,24"/>
</map>
 </div>
</div>

<p><a href="class_p_g_t_storage_d_b-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga7308e1c19eea89d61f4cc0117f28cca5">getStorageType</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga08688e74edbccefdff0033c1b7eb30a0">getStorageInfo</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#gaad7a7a2502e4c58602f142fdf1bf058b">PGTStorageDB</a> ($cas_parent, $user, $password, $database_type, $hostname, $port, $database, $table)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga30a95297b215c8e290405536dade24cd">init</a> ()</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga575f11acae3d34154359ce3e800ac501">getURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#gaf8aabf7483216d32482502e3e3e567b8">getLink</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga1744cefdc84ee1c4568aa97468a9a62d">getTable</a> ()</td></tr>
<tr><td colspan="2"><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga2c3c5c3fa2147648cf0836eb18ecc84c">$_url</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga36cc33772b984aba823da1e3f2ee92af">$_link</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#gaf32637f66bed3bbb439b38eac0db5566">$_table</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The <a class="el" href="class_p_g_t_storage_d_b.html">PGTStorageDB</a> class is a class for PGT database storage. An instance of this class is returned by CASClient::SetPGTStorageDB().</p>
<dl class="author"><dt><b>Author:</b></dt><dd>Pascal Aubry &lt;pascal.aubry at univ-rennes1.fr&gt; </dd></dl>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/PGTStorage/<a class="el" href="pgt-db_8php.html">pgt-db.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
